## ose-kubernetes-nmstate-operator-container-v4.9.0-202203251214.p0.g76e2c92.assembly.stream.tar.gz

=== k8s-container-image-promoter@v1.337.0/Makefile ===
# Copyright 2020 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# If you update this file, please follow
# https://suva.sh/posts/well-documented-makefiles

REPO_ROOT:=$(shell dirname $(abspath $(lastword $(MAKEFILE_LIST))))

all: test

##@ Build
.PHONY: build
build: ## Bazel build
	bazel build //cmd/cip:cip \
		//test-e2e/cip:e2e \
		//test-e2e/cip-auditor:cip-auditor-e2e

.PHONY: install
install: ## Install
	bazel run //:install-cip -c opt -- $(shell go env GOPATH)/bin

##@ Images

.PHONY: image
image: ## Build image
	bazel build //:cip-docker-loadable.tar

.PHONY: image-load
image-load: image ## Build image and load it
	docker load -i bazel-bin/cip-docker-loadable.tar

.PHONY: image-push
image-push: image ## Build image and push
	bazel run :push-cip

.PHONY: image-load-cip-auditor-e2e
image-load-cip-auditor-e2e: ## Build and load image cip-auditor-e2e
	bazel build //test-e2e/cip-auditor:cip-docker-loadable-auditor-test.tar
	docker load -i bazel-bin/test-e2e/cip-auditor/cip-docker-loadable-auditor-test.tar

.PHONY: image-push-cip-auditor-e2e
image-push-cip-auditor-e2e: ## Push image cip-auditor-e2e
	bazel run //test-e2e/cip-auditor:push-cip-auditor-test

##@ Lints

.PHONY: lint
lint: ## Build image-load-cip-auditor-e2e
	GO111MODULE=on golangci-lint run \
		-v \
		--timeout=5m

.PHONY: lint-ci
lint-ci: download
	make lint

##@ Tests

.PHONY: test
test: test-go-unit ## Runs unit tests

.PHONY: test-go-unit
test-go-unit: ## Runs Golang unit tests
	${REPO_ROOT}/hack/test-go.sh

.PHONY: test-ci
test-ci: download
	make test

.PHONY: test-e2e-cip
test-e2e-cip:
	bazel run //test-e2e/cip:e2e -- -tests=$(REPO_ROOT)/test-e2e/cip/tests.yaml -repo-root=$(REPO_ROOT) -key-file=$(CIP_E2E_KEY_FILE)

.PHONY: test-e2e-cip-auditor
test-e2e-cip-auditor:
	bazel run //test-e2e/cip-auditor:cip-auditor-e2e -- -tests=$(REPO_ROOT)/test-e2e/cip-auditor/tests.yaml -repo-root=$(REPO_ROOT) -key-file=$(CIP_E2E_KEY_FILE)

##@ Dependencies

.PHONY: download update

download: ## Download go modules
	GO111MODULE=on go mod download

update: ## Update go modules (source of truth!).
	GO111MODULE=on go mod verify
	GO111MODULE=on go mod tidy
	# Update bazel rules to use these new dependencies.
	bazel run //:gazelle -- update-repos \
		--from_file=go.mod --to_macro=repos.bzl%go_repositories \
		--build_file_generation=on --build_file_proto_mode=disable_global \
		--prune
	bazel run //:gazelle -- fix

##@ Verify

.PHONY: verify verify-boilerplate verify-dependencies verify-golangci-lint verify-go-mod

verify: verify-boilerplate verify-dependencies verify-golangci-lint verify-go-mod ## Runs verification scripts to ensure correct execution

verify-boilerplate: ## Runs the file header check
	./hack/verify-boilerplate.sh

verify-dependencies: ## Runs zeitgeist to verify dependency versions
	./hack/verify-dependencies.sh

verify-go-mod: ## Runs the go module linter
	./hack/verify-go-mod.sh

verify-golangci-lint: ## Runs all golang linters
	./hack/verify-golangci-lint.sh

##@ Helpers

.PHONY: help

help:  ## Display this help
	@awk \
		-v "col=${COLOR}" -v "nocol=${NOCOLOR}" \
		' \
			BEGIN { \
				FS = ":.*##" ; \
				printf "\nUsage:\n  make %s<target>%s\n", col, nocol \
			} \
			/^[a-zA-Z_-]+:.*?##/ { \
				printf "  %s%-15s%s %s\n", col, $$1, nocol, $$2 \
			} \
			/^##@/ { \
				printf "\n%s%s%s\n", col, substr($$0, 5), nocol \
			} \
		' $(MAKEFILE_LIST)

=== qinqon/kube-admission-webhook@v0.16.0/Makefile ===
SHELL := /bin/bash

BIN_DIR = $(CURDIR)/build/_output/bin/

export GOFLAGS=-mod=vendor
export GO111MODULE=on
export GOROOT=$(BIN_DIR)/go/
export GOBIN=$(GOROOT)/bin/
export PATH := $(GOROOT)/bin:$(PATH)

GO ?= $(GOBIN)/go
GOFMT ?= $(GOBIN)/gofmt

WHAT ?= ./pkg/...

KUBEVIRT_PROVIDER=kind-k8s-1.14.2

CLUSTER_DIR ?= kubevirtci/cluster-up/
KUBECONFIG ?= kubevirtci/_ci-configs/$(KUBEVIRT_PROVIDER)/.kubeconfig
export KUBECTL ?= $(CLUSTER_DIR)/kubectl.sh
CLUSTER_UP ?= $(CLUSTER_DIR)/up.sh
CLUSTER_DOWN ?= $(CLUSTER_DIR)/down.sh
CLI ?= $(CLUSTER_DIR)/cli.sh
export SSH ?= $(CLUSTER_DIR)/ssh.sh

export GITHUB_RELEASE := $(GOBIN)/github-release

install_kubevirtci := hack/install-kubevirtci.sh

all: test

$(CLUSTER_DIR)/%: $(install_kubevirtci)
	$(install_kubevirtci)

$(GITHUB_RELEASE): $(GO)
	$(GO) install ./vendor/github.com/github-release/github-release

$(GO):
	hack/install-go.sh $(BIN_DIR)

$(GOFMT): $(GO)

format: $(FMT)
	hack/whitespace.sh format
	$(GOFMT) -w ./pkg

vet: $(GO)
	$(GO) vet ./pkg/...

testenv:
	hack/setup-testenv.sh

test: $(GO) testenv
	KUBEBUILDER_ASSETS=$(BIN_DIR) $(GO) test $(WHAT) -timeout 2m -ginkgo.v -ginkgo.noColor=false  -test.v

build:
	$(GO) build ./pkg/...

vendor: $(GO)
	$(GO) mod tidy
	$(GO) mod vendor

cluster-up: $(CLUSTER_UP)
	$(CLUSTER_UP)

cluster-down: $(CLUSTER_DOWN)
	$(CLUSTER_DOWN)

prepare-patch:
	./hack/prepare-release.sh patch
prepare-minor:
	./hack/prepare-release.sh minor
prepare-major:
	./hack/prepare-release.sh major

release: $(GITHUB_RELEASE)
	hack/release.sh

.PHONY: \
	test \
	vendor \
	release \
	prepare-patch \
	prepare-minor \
	prepare-major \
	format \
	vet \
	build

=== release@v0.9.0/images/build/cross/Makefile ===
# Copyright 2020 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# set default shell
SHELL=/bin/bash -o pipefail

IMGNAME = kube-cross
IMAGE_VERSION ?= v1.16.4-2
CONFIG ?= go1.16
TYPE ?= default

# Build args
GO_VERSION?=1.16.4
BASEIMAGE?=golang:$(GO_VERSION)
PROTOBUF_VERSION?=3.7.0
ETCD_VERSION?=v3.4.13

IMAGE = $(REGISTRY)/$(IMGNAME)
TAG ?= $(shell git describe --tags --always --dirty)

# Ensure support for 'docker buildx' and 'docker manifest' commands
export DOCKER_CLI_EXPERIMENTAL=enabled

# TODO: Support multi-arch kube-cross images for linux/arm linux/s390x
#       Currently some of the components references in the Dockerfile are
#       not supported in specific architectures (example etcd does not support s390x)
PLATFORMS ?= linux/amd64 linux/arm64 linux/ppc64le #linux/arm linux/s390x

# for legacy images only build linux/amd64
ifeq ($(TYPE), legacy)
  PLATFORMS = linux/amd64
endif

ARCHS = $(patsubst linux/%,%,$(PLATFORMS))

check-env:
ifndef REGISTRY
	$(error REGISTRY is undefined, please set to registry you want to push)
endif

# build with buildx
# https://github.com/docker/buildx/issues/59
.PHONY: container
container: check-env init-docker-buildx
	echo "Building $(IMGNAME) for the following platforms: $(PLATFORMS)"
	@for platform in $(PLATFORMS); do \
		echo "Starting build for $${platform} platform"; \
		docker buildx build \
			--load \
			--progress plain \
			--platform $${platform} \
			--tag $(IMAGE)-$${platform##*/}:$(IMAGE_VERSION) \
			--tag $(IMAGE)-$${platform##*/}:$(TAG)-$(CONFIG)-$(TYPE) \
			--tag $(IMAGE)-$${platform##*/}:latest-$(CONFIG)-$(TYPE) \
			--build-arg=BASEIMAGE=$(BASEIMAGE) \
			--build-arg=PROTOBUF_VERSION=$(PROTOBUF_VERSION) \
			--build-arg=ETCD_VERSION=$(ETCD_VERSION) \
			--file $(TYPE)/Dockerfile \
			.; \
	done

.PHONY: push
push: container
	echo "Pushing $(IMGNAME) tags"
	@for platform in $(PLATFORMS); do \
		echo "Pushing tags for $${platform} platform"; \
		docker push $(IMAGE)-$${platform##*/}:$(IMAGE_VERSION); \
		docker push $(IMAGE)-$${platform##*/}:$(TAG)-$(CONFIG)-$(TYPE); \
		docker push $(IMAGE)-$${platform##*/}:latest-$(CONFIG)-$(TYPE); \
	done

.PHONY: manifest
manifest: push
	docker manifest create --amend $(IMAGE):$(IMAGE_VERSION) $(shell echo $(ARCHS) | sed -e "s~[^ ]*~$(IMAGE)\-&:$(IMAGE_VERSION)~g")
	@for platform in $(ARCHS); do docker manifest annotate --arch "$${platform}" ${IMAGE}:${IMAGE_VERSION} ${IMAGE}-$${platform}:${IMAGE_VERSION}; done
	docker manifest push --purge $(IMAGE):$(IMAGE_VERSION)

# enable buildx
.PHONY: init-docker-buildx
init-docker-buildx:
	./../../../hack/init-buildx.sh

=== release@v0.9.0/images/build/debian-base/Makefile ===
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

all: all-build

REGISTRY ?= gcr.io/k8s-staging-build-image
IMAGE ?= $(REGISTRY)/debian-base
BUILD_IMAGE ?= debian-build

TAG ?= $(shell git describe --tags --always --dirty)
IMAGE_VERSION ?= buster-v1.7.1
CONFIG ?= buster

TAR_FILE ?= rootfs.tar
ARCH ?= amd64
ALL_ARCH = amd64 arm arm64 ppc64le s390x

QEMUVERSION=5.2.0-2

# This option is for running docker manifest command
export DOCKER_CLI_EXPERIMENTAL := enabled

ifeq ($(ARCH),amd64)
	BASEIMAGE?=debian:$(CONFIG)-slim
	QEMUARCH=x86_64
endif
ifeq ($(ARCH),arm)
	BASEIMAGE?=arm32v7/debian:$(CONFIG)-slim
	QEMUARCH=arm
endif
ifeq ($(ARCH),arm64)
	BASEIMAGE?=arm64v8/debian:$(CONFIG)-slim
	QEMUARCH=aarch64
endif
ifeq ($(ARCH),ppc64le)
	BASEIMAGE?=ppc64le/debian:$(CONFIG)-slim
	QEMUARCH=ppc64le
endif
ifeq ($(ARCH),s390x)
	BASEIMAGE?=s390x/debian:$(CONFIG)-slim
	QEMUARCH=s390x
endif

sub-build-%:
	$(MAKE) ARCH=$* build

all-build: $(addprefix sub-build-,$(ALL_ARCH))

sub-push-image-%:
	$(MAKE) ARCH=$* push

all-push-images: $(addprefix sub-push-image-,$(ALL_ARCH))

all-push: all-push-images push-manifest

push-manifest:
	docker manifest create --amend $(IMAGE):$(IMAGE_VERSION) $(shell echo $(ALL_ARCH) | sed -e "s~[^ ]*~$(IMAGE)\-&:$(IMAGE_VERSION)~g")
	@for arch in $(ALL_ARCH); do docker manifest annotate --arch $${arch} ${IMAGE}:${IMAGE_VERSION} ${IMAGE}-$${arch}:${IMAGE_VERSION}; done
	docker manifest push --purge ${IMAGE}:${IMAGE_VERSION}

build: clean
	# Fix possible issues with the local umask
	umask 0022

	# Enable execution of multi-architecture containers
	docker run --rm --privileged multiarch/qemu-user-static:$(QEMUVERSION) --reset -p yes
	docker buildx version
	BUILDER=$(shell docker buildx create --use)

	curl -sSL https://github.com/multiarch/qemu-user-static/releases/download/v$(QEMUVERSION)/x86_64_qemu-$(QEMUARCH)-static.tar.gz | tar -xz -C $(CONFIG)
	# Ensure we don't get surprised by umask settings
	chmod 0755 $(CONFIG)/qemu-$(QEMUARCH)-static

	docker buildx build \
		--pull \
		--load \
		--platform linux/$(ARCH) \
		--build-arg BASEIMAGE=$(BASEIMAGE) \
		--build-arg ARCH=$(QEMUARCH) \
		-t $(BUILD_IMAGE) \
		-f $(CONFIG)/Dockerfile.build \
		$(CONFIG)
	docker create --name $(BUILD_IMAGE) $(BUILD_IMAGE)
	docker export $(BUILD_IMAGE) > $(CONFIG)/$(TAR_FILE)
	docker buildx build \
		--load \
		--platform linux/$(ARCH) \
		-t $(IMAGE)-$(ARCH):$(IMAGE_VERSION) \
		-t $(IMAGE)-$(ARCH):$(TAG)-$(CONFIG) \
		-t $(IMAGE)-$(ARCH):latest-$(CONFIG) \
		$(CONFIG)
	docker buildx rm $$BUILDER
	rm $(CONFIG)/qemu-$(QEMUARCH)-static
	rm $(CONFIG)/rootfs.tar

push: build
	docker push $(IMAGE)-$(ARCH):$(IMAGE_VERSION)
	docker push $(IMAGE)-$(ARCH):$(TAG)-$(CONFIG)
	docker push $(IMAGE)-$(ARCH):latest-$(CONFIG)

clean:
	docker rmi -f $(IMAGE)-$(ARCH):$(IMAGE_VERSION) || true
	docker rmi -f $(BUILD_IMAGE)   || true
	docker rm  -f $(BUILD_IMAGE)   || true

=== release@v0.9.0/images/build/debian-iptables/Makefile ===
# Copyright 2016 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY:	build push all all-build all-push-images all-push push-manifest

REGISTRY?="gcr.io/k8s-staging-build-image"
IMAGE=$(REGISTRY)/debian-iptables

TAG ?= $(shell git describe --tags --always --dirty)
IMAGE_VERSION ?= buster-v1.6.1
CONFIG ?= buster
DEBIAN_BASE_VERSION ?= buster-v1.7.0

ARCH?=amd64
ALL_ARCH = amd64 arm arm64 ppc64le s390x

BASE_REGISTRY?=k8s.gcr.io/build-image
BASEIMAGE?=$(BASE_REGISTRY)/debian-base-$(ARCH):$(DEBIAN_BASE_VERSION)

# Build args
IPTABLES_VERSION ?= 1.8.5
QEMUVERSION=5.2.0-2

# This option is for running docker manifest command
export DOCKER_CLI_EXPERIMENTAL := enabled

SUDO=$(if $(filter 0,$(shell id -u)),,sudo)

build:
	# Fix possible issues with the local umask
	umask 0022

	# Enable execution of multi-architecture containers
	docker run --rm --privileged multiarch/qemu-user-static:$(QEMUVERSION) --reset -p yes
	docker buildx version
	BUILDER=$(shell docker buildx create --use)
	docker buildx build \
		--pull \
		--load \
		--platform linux/$(ARCH) \
		-t $(IMAGE)-$(ARCH):$(IMAGE_VERSION) \
		-t $(IMAGE)-$(ARCH):$(TAG)-$(CONFIG) \
		-t $(IMAGE)-$(ARCH):latest-$(CONFIG) \
		--build-arg=IPTABLES_VERSION=$(IPTABLES_VERSION) \
		--build-arg=BASEIMAGE=$(BASEIMAGE) \
		$(CONFIG)
	docker buildx rm $$BUILDER

push: build
	docker push $(IMAGE)-$(ARCH):$(IMAGE_VERSION)
	docker push $(IMAGE)-$(ARCH):$(TAG)-$(CONFIG)
	docker push $(IMAGE)-$(ARCH):latest-$(CONFIG)

sub-build-%:
	$(MAKE) ARCH=$* build

all-build: $(addprefix sub-build-,$(ALL_ARCH))

sub-push-image-%:
	$(MAKE) ARCH=$* push

all-push-images: $(addprefix sub-push-image-,$(ALL_ARCH))

all-push: all-push-images push-manifest

push-manifest:
	docker manifest create --amend $(IMAGE):$(IMAGE_VERSION) $(shell echo $(ALL_ARCH) | sed -e "s~[^ ]*~$(IMAGE)\-&:$(IMAGE_VERSION)~g")
	@for arch in $(ALL_ARCH); do docker manifest annotate --arch $${arch} ${IMAGE}:${IMAGE_VERSION} ${IMAGE}-$${arch}:${IMAGE_VERSION}; done
	docker manifest push --purge ${IMAGE}:${IMAGE_VERSION}

all: all-push

=== release@v0.9.0/images/releng/k8s-ci-builder/Makefile ===
# Copyright 2020 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# set default shell
SHELL=/bin/bash -o pipefail

REGISTRY ?= gcr.io/k8s-staging-releng
IMGNAME = k8s-ci-builder
CONFIG ?= default

IMAGE = $(REGISTRY)/$(IMGNAME)

TAG ?= $(shell git describe --tags --always --dirty)

# Build args
GO_VERSION ?= 1.16.4
BAZEL_VERSION ?= 3.4.1
OLD_BAZEL_VERSION ?= 2.2.0
IMAGE_ARG ?= $(IMAGE):$(TAG)-$(CONFIG)

BUILD_ARGS = --build-arg=GO_VERSION=$(GO_VERSION) \
							--build-arg=BAZEL_VERSION=$(BAZEL_VERSION) \
							--build-arg=OLD_BAZEL_VERSION=$(OLD_BAZEL_VERSION) \
							--build-arg=IMAGE_ARG=$(IMAGE_ARG)

# Ensure support for 'docker buildx' and 'docker manifest' commands
export DOCKER_CLI_EXPERIMENTAL=enabled

# build with buildx
# https://github.com/docker/buildx/issues/59
.PHONY: build
build: init-docker-buildx
	echo "Building $(IMGNAME)..."
	docker buildx build \
		--load \
		--progress plain \
		--platform linux/amd64 \
		--tag $(IMAGE):$(CONFIG) \
		--tag $(IMAGE):$(TAG)-$(CONFIG) \
		--tag $(IMAGE):latest-$(CONFIG) \
		$(BUILD_ARGS) \
		-f $(CURDIR)/Dockerfile \
		../../../.

.PHONY: push
push: build
	echo "Pushing $(IMGNAME) tags"
	docker push $(IMAGE):$(CONFIG)
	docker push $(IMAGE):$(TAG)-$(CONFIG)
	docker push $(IMAGE):latest-$(CONFIG)

# enable buildx
.PHONY: init-docker-buildx
init-docker-buildx:
	./../../../hack/init-buildx.sh

=== release@v0.9.0/cmd/kubepkg/templates/latest/deb/kubernetes-cni/debian/control ===
Source: kubernetes-cni
Section: misc
Priority: optional
Maintainer: Kubernetes Authors <kubernetes-dev@googlegroups.com>
Build-Depends: curl, ca-certificates, debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: https://kubernetes.io
Vcs-Git: https://github.com/kubernetes/kubernetes.git
Vcs-Browser: https://github.com/kubernetes/kubernetes

Package: kubernetes-cni
Architecture: {{ .BuildArch }}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kubernetes CNI
 The binaries required to provision container networking

=== release@v0.9.0/cmd/kubepkg/templates/latest/deb/cri-tools/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

build:
	echo noop

binary:
	mkdir -p ./bin
	curl -sSL --fail --retry 5 \
		"https://storage.googleapis.com/k8s-artifacts-cri-tools/release/v{{ .Version }}/crictl-v{{ .Version }}-linux-{{ .GoArch }}.tar.gz" \
		| tar -C ./bin -xz
	dh_testroot
	dh_auto_install
	dh_shlibdeps
	dh_install
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

%:
	dh $@

=== release@v0.9.0/cmd/kubepkg/templates/latest/deb/kubeadm/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
KUBE_LOCAL_ARTIFACTS?=

build:
	echo noop

binary:
	mkdir -p usr/bin
ifneq ($(KUBE_LOCAL_ARTIFACTS),)
	cp $(KUBE_LOCAL_ARTIFACTS)/bin/linux/{{ .GoArch }}/kubeadm usr/bin/kubeadm
else
	curl --fail -sSL --retry 5 \
		-o usr/bin/kubeadm \
		"{{ .DownloadLinkBase }}/bin/linux/{{ .GoArch }}/kubeadm"
endif

	chmod +x usr/bin/kubeadm
	dh_testroot
	dh_auto_install
	dh_shlibdeps
	dh_install
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

%:
	dh $@
